Skip to main content

In an upcoming release, GlobalMeet® will no longer support Internet Explorer 9 and 10. To learn more, click here.

Attention iMeet Android App Users! You MUST update to the latest version in the Google Play store in order to join a meeting. Click to learn more.

Meeting Support

Install the GlobalMeet Toolbar

For most users, the GlobalMeet® toolbar can be downloaded from the GlobalMeet Downloads page. 

Administrative rights are not required to download and install the toolbar. However, they might be required to install the .NET Framework, so check with your IT department before installing. The toolbar requires the .NET Client Framework version 3.5.

  • Was this article helpful?